
## Base Laser

A C# project that serves as a base class for all C# laser modules that communicate with hardware lasers. All the C# sensor modules are ancestors of BaseLaser instead of usual Form classes. The [ControlledPTT.App](../../App) references the BaseLaser in order to create the specific sensor modules and communicate with them.

Reference to DLL generated by this project must be included in all of these C# programs in order to control the laser hardware. Instructions to include the reference can be found in the “Running C# Program” section of each sensor.

This class has a delegate which holds a reference to a class instance and an instance method of that class. Delegate has typicly two parameters which are object and EventArgs. Object is the source of the event and EventArgs includes any additional data about the event. In this BaseSensor class we have defined a custom class that derives from EventArgs class and it is used as a EventArgs parameter in delegate. The custom class provides the temperature data related to the event. Based on the delegate, an event is defined and it is called in C# programs when data is received from serial port and therefore raises the event. Lastly there is an EventHandler which perform the actions that are required when the event is raised. 

